<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Izg project: stack/src/stack/stack.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Izg project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_ab51a11a65415835ab0b627ec1ba1885.html">stack</a></li><li class="navelem"><a class="el" href="dir_61f884239e7b9d662572355c29328680.html">src</a></li><li class="navelem"><a class="el" href="dir_7f90c3d965de0e82fe4c04904f65e6da.html">stack</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">stack.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This file contains implementation of uint32_t stack.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;stdlib.h&gt;</code><br />
<code>#include &lt;assert.h&gt;</code><br />
<code>#include &lt;string.h&gt;</code><br />
<code>#include &lt;<a class="el" href="stack_8h_source.html">stack/stack.h</a>&gt;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a82a1ae2d816e25f49532dfd08925ca8d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="stack_8c.html#a82a1ae2d816e25f49532dfd08925ca8d">stack_init</a> (<a class="el" href="structStack.html">Stack</a> *const stack, uint32_t elementSize)</td></tr>
<tr class="memdesc:a82a1ae2d816e25f49532dfd08925ca8d"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function inits stack.  <a href="#a82a1ae2d816e25f49532dfd08925ca8d">More...</a><br /></td></tr>
<tr class="separator:a82a1ae2d816e25f49532dfd08925ca8d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37bc1b9465c484ebb8f4f2e091eb9e1d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="stack_8c.html#a37bc1b9465c484ebb8f4f2e091eb9e1d">stack_free</a> (<a class="el" href="structStack.html">Stack</a> *const stack)</td></tr>
<tr class="memdesc:a37bc1b9465c484ebb8f4f2e091eb9e1d"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function frees stack.  <a href="#a37bc1b9465c484ebb8f4f2e091eb9e1d">More...</a><br /></td></tr>
<tr class="separator:a37bc1b9465c484ebb8f4f2e091eb9e1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57fc86cd1e686f324eca11e5ab7d7d79"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="stack_8c.html#a57fc86cd1e686f324eca11e5ab7d7d79">stack_empty</a> (<a class="el" href="structStack.html">Stack</a> const *const stack)</td></tr>
<tr class="memdesc:a57fc86cd1e686f324eca11e5ab7d7d79"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns 1 if the stack is empty.  <a href="#a57fc86cd1e686f324eca11e5ab7d7d79">More...</a><br /></td></tr>
<tr class="separator:a57fc86cd1e686f324eca11e5ab7d7d79"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6b298d915086d757e7556fb48293a7b"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="stack_8c.html#aa6b298d915086d757e7556fb48293a7b">stack_size</a> (<a class="el" href="structStack.html">Stack</a> const *const stack)</td></tr>
<tr class="memdesc:aa6b298d915086d757e7556fb48293a7b"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns the number of size in the stack.  <a href="#aa6b298d915086d757e7556fb48293a7b">More...</a><br /></td></tr>
<tr class="separator:aa6b298d915086d757e7556fb48293a7b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc6d007b9250c81860b8e1e0f3ea8b7b"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="stack_8c.html#abc6d007b9250c81860b8e1e0f3ea8b7b">stack_elementSize</a> (<a class="el" href="structStack.html">Stack</a> const *const stack)</td></tr>
<tr class="memdesc:abc6d007b9250c81860b8e1e0f3ea8b7b"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns the element reserved in bytes.  <a href="#abc6d007b9250c81860b8e1e0f3ea8b7b">More...</a><br /></td></tr>
<tr class="separator:abc6d007b9250c81860b8e1e0f3ea8b7b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abcddfdd3bb0451a8e1833462a42fc674"><td class="memItemLeft" align="right" valign="top">ErrorCode&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="stack_8c.html#abcddfdd3bb0451a8e1833462a42fc674">stack_firstAlloc</a> (<a class="el" href="structStack.html">Stack</a> *const stack)</td></tr>
<tr class="memdesc:abcddfdd3bb0451a8e1833462a42fc674"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function performs the first allocation of the stack.  <a href="#abcddfdd3bb0451a8e1833462a42fc674">More...</a><br /></td></tr>
<tr class="separator:abcddfdd3bb0451a8e1833462a42fc674"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4b92206000c56a1361c5966c4385e779"><td class="memItemLeft" align="right" valign="top">ErrorCode&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="stack_8c.html#a4b92206000c56a1361c5966c4385e779">stack_realloc</a> (<a class="el" href="structStack.html">Stack</a> *const stack)</td></tr>
<tr class="memdesc:a4b92206000c56a1361c5966c4385e779"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function performs reallocation of the stack.  <a href="#a4b92206000c56a1361c5966c4385e779">More...</a><br /></td></tr>
<tr class="separator:a4b92206000c56a1361c5966c4385e779"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5e8c3e61fac89a1dce0a38745bb8751"><td class="memItemLeft" align="right" valign="top">ErrorCode&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="stack_8c.html#ad5e8c3e61fac89a1dce0a38745bb8751">stack_resize</a> (<a class="el" href="structStack.html">Stack</a> *const stack)</td></tr>
<tr class="memdesc:ad5e8c3e61fac89a1dce0a38745bb8751"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function resized the stack.  <a href="#ad5e8c3e61fac89a1dce0a38745bb8751">More...</a><br /></td></tr>
<tr class="separator:ad5e8c3e61fac89a1dce0a38745bb8751"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8aca38daae5e72eb24fb609fdbfa1e9f"><td class="memItemLeft" align="right" valign="top">ErrorCode&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="stack_8c.html#a8aca38daae5e72eb24fb609fdbfa1e9f">stack_push</a> (<a class="el" href="structStack.html">Stack</a> *const stack, void const *const value)</td></tr>
<tr class="memdesc:a8aca38daae5e72eb24fb609fdbfa1e9f"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function pushes a new value to the stack.  <a href="#a8aca38daae5e72eb24fb609fdbfa1e9f">More...</a><br /></td></tr>
<tr class="separator:a8aca38daae5e72eb24fb609fdbfa1e9f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa4c63cab198e42c9c9b5db015bb988be"><td class="memItemLeft" align="right" valign="top">ErrorCode&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="stack_8c.html#aa4c63cab198e42c9c9b5db015bb988be">stack_pop</a> (<a class="el" href="structStack.html">Stack</a> *const stack, void *const value)</td></tr>
<tr class="memdesc:aa4c63cab198e42c9c9b5db015bb988be"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function pops size from the stack.  <a href="#aa4c63cab198e42c9c9b5db015bb988be">More...</a><br /></td></tr>
<tr class="separator:aa4c63cab198e42c9c9b5db015bb988be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab52da0d61acce9dbe7ddec307c75c23c"><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="stack_8c.html#ab52da0d61acce9dbe7ddec307c75c23c">stack_top</a> (<a class="el" href="structStack.html">Stack</a> *const stack)</td></tr>
<tr class="memdesc:ab52da0d61acce9dbe7ddec307c75c23c"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function return pointer to the top of the stack - last element.  <a href="#ab52da0d61acce9dbe7ddec307c75c23c">More...</a><br /></td></tr>
<tr class="separator:ab52da0d61acce9dbe7ddec307c75c23c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79e6811c3bd02cd87d55f89bc294e065"><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="stack_8c.html#a79e6811c3bd02cd87d55f89bc294e065">stack_at</a> (<a class="el" href="structStack.html">Stack</a> const *const stack, uint32_t i)</td></tr>
<tr class="memdesc:a79e6811c3bd02cd87d55f89bc294e065"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns pointer to an element.  <a href="#a79e6811c3bd02cd87d55f89bc294e065">More...</a><br /></td></tr>
<tr class="separator:a79e6811c3bd02cd87d55f89bc294e065"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5693ee1512fab17f03d3832a3d972e29"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="stack_8c.html#a5693ee1512fab17f03d3832a3d972e29">stack_contain</a> (<a class="el" href="structStack.html">Stack</a> const *const stack, void *d)</td></tr>
<tr class="memdesc:a5693ee1512fab17f03d3832a3d972e29"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function check if stack contain a value.  <a href="#a5693ee1512fab17f03d3832a3d972e29">More...</a><br /></td></tr>
<tr class="separator:a5693ee1512fab17f03d3832a3d972e29"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This file contains implementation of uint32_t stack. </p>
<dl class="section author"><dt>Author</dt><dd>Tomáš Milet, <a href="#" onclick="location.href='mai'+'lto:'+'imi'+'le'+'t@f'+'it'+'.vu'+'tb'+'r.c'+'z'; return false;">imile<span style="display: none;">.nosp@m.</span>t@fi<span style="display: none;">.nosp@m.</span>t.vut<span style="display: none;">.nosp@m.</span>br.c<span style="display: none;">.nosp@m.</span>z</a> </dd></dl>
</div><h2 class="groupheader">Function Documentation</h2>
<a id="a79e6811c3bd02cd87d55f89bc294e065"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a79e6811c3bd02cd87d55f89bc294e065">&#9670;&nbsp;</a></span>stack_at()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* stack_at </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structStack.html">Stack</a> const *const&#160;</td>
          <td class="paramname"><em>stack</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>i</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function returns pointer to an element. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">stack</td><td>stack </td></tr>
    <tr><td class="paramname">i</td><td>index of the element, 0 - deepest</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>pointer to the element or NULL </dd></dl>

</div>
</div>
<a id="a5693ee1512fab17f03d3832a3d972e29"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5693ee1512fab17f03d3832a3d972e29">&#9670;&nbsp;</a></span>stack_contain()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int stack_contain </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structStack.html">Stack</a> const *const&#160;</td>
          <td class="paramname"><em>stack</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>d</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function check if stack contain a value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">stack</td><td>stack </td></tr>
    <tr><td class="paramname">d</td><td>point to value</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>1 if the stack contain the element, 0 otherwise </dd></dl>

</div>
</div>
<a id="abc6d007b9250c81860b8e1e0f3ea8b7b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abc6d007b9250c81860b8e1e0f3ea8b7b">&#9670;&nbsp;</a></span>stack_elementSize()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t stack_elementSize </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structStack.html">Stack</a> const *const&#160;</td>
          <td class="paramname"><em>stack</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function returns the element reserved in bytes. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">stack</td><td>stack</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>element reserved in bytes </dd></dl>

</div>
</div>
<a id="a57fc86cd1e686f324eca11e5ab7d7d79"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a57fc86cd1e686f324eca11e5ab7d7d79">&#9670;&nbsp;</a></span>stack_empty()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int stack_empty </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structStack.html">Stack</a> const *const&#160;</td>
          <td class="paramname"><em>stack</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function returns 1 if the stack is empty. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">stack</td><td>stack</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>1 if stack is empty, 0 otherwise </dd></dl>

</div>
</div>
<a id="abcddfdd3bb0451a8e1833462a42fc674"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abcddfdd3bb0451a8e1833462a42fc674">&#9670;&nbsp;</a></span>stack_firstAlloc()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ErrorCode stack_firstAlloc </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structStack.html">Stack</a> *const&#160;</td>
          <td class="paramname"><em>stack</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function performs the first allocation of the stack. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">stack</td><td>stack</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>error code </dd></dl>

</div>
</div>
<a id="a37bc1b9465c484ebb8f4f2e091eb9e1d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a37bc1b9465c484ebb8f4f2e091eb9e1d">&#9670;&nbsp;</a></span>stack_free()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void stack_free </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structStack.html">Stack</a> *const&#160;</td>
          <td class="paramname"><em>stack</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function frees stack. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">stack</td><td>stack </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a82a1ae2d816e25f49532dfd08925ca8d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a82a1ae2d816e25f49532dfd08925ca8d">&#9670;&nbsp;</a></span>stack_init()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void stack_init </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structStack.html">Stack</a> *const&#160;</td>
          <td class="paramname"><em>stack</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>elementSize</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function inits stack. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">stack</td><td>stack </td></tr>
    <tr><td class="paramname">elementSize</td><td>size of one element in bytes </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="aa4c63cab198e42c9c9b5db015bb988be"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa4c63cab198e42c9c9b5db015bb988be">&#9670;&nbsp;</a></span>stack_pop()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ErrorCode stack_pop </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structStack.html">Stack</a> *const&#160;</td>
          <td class="paramname"><em>stack</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *const&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function pops size from the stack. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">stack</td><td>stack </td></tr>
    <tr><td class="paramname">value</td><td>the size value of the stack</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>return ERR_OK on success </dd></dl>

</div>
</div>
<a id="a8aca38daae5e72eb24fb609fdbfa1e9f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8aca38daae5e72eb24fb609fdbfa1e9f">&#9670;&nbsp;</a></span>stack_push()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ErrorCode stack_push </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structStack.html">Stack</a> *const&#160;</td>
          <td class="paramname"><em>stack</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void const *const&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function pushes a new value to the stack. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">stack</td><td>stack </td></tr>
    <tr><td class="paramname">value</td><td>a new value</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>return ERR_OK on success </dd></dl>

</div>
</div>
<a id="a4b92206000c56a1361c5966c4385e779"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4b92206000c56a1361c5966c4385e779">&#9670;&nbsp;</a></span>stack_realloc()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ErrorCode stack_realloc </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structStack.html">Stack</a> *const&#160;</td>
          <td class="paramname"><em>stack</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function performs reallocation of the stack. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">stack</td><td>stack</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>error code </dd></dl>

</div>
</div>
<a id="ad5e8c3e61fac89a1dce0a38745bb8751"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad5e8c3e61fac89a1dce0a38745bb8751">&#9670;&nbsp;</a></span>stack_resize()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ErrorCode stack_resize </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structStack.html">Stack</a> *const&#160;</td>
          <td class="paramname"><em>stack</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function resized the stack. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">stack</td><td>stack</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>error code </dd></dl>

</div>
</div>
<a id="aa6b298d915086d757e7556fb48293a7b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa6b298d915086d757e7556fb48293a7b">&#9670;&nbsp;</a></span>stack_size()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t stack_size </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structStack.html">Stack</a> const *const&#160;</td>
          <td class="paramname"><em>stack</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function returns the number of size in the stack. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">stack</td><td>stack</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>number of size in the stack </dd></dl>

</div>
</div>
<a id="ab52da0d61acce9dbe7ddec307c75c23c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab52da0d61acce9dbe7ddec307c75c23c">&#9670;&nbsp;</a></span>stack_top()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* stack_top </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structStack.html">Stack</a> *const&#160;</td>
          <td class="paramname"><em>stack</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function return pointer to the top of the stack - last element. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">stack</td><td>stack</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>pointer to the top of the stack - last element </dd></dl>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Apr 23 2019 13:21:21 for Izg project by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
